%{?mingw_package_header}

%global pkgname spirv-headers
%global srcname SPIRV-Headers

%global sdkver 1.3.216.0


Name:          mingw-%{pkgname}
Version:       1.5.5
Release:       %mkrel 1
Summary:       MinGW Windows %{pkgname}

Group:	Development/Other
License:       MIT
BuildArch:     noarch
URL:           https://github.com/KhronosGroup/%{srcname}
Source0:       %url/archive/sdk-%{sdkver}.tar.gz#/%{srcname}-sdk-%{sdkver}.tar.gz

BuildRequires: cmake

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc-c++

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc-c++


%description
MinGW Windows %{pkgname}


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname}.



%prep
%autosetup -p1 -n %{srcname}-sdk-%{sdkver}


%build
%mingw_cmake
%mingw_make_build


%install
%mingw_make_install


%files -n mingw32-%{pkgname}
%{mingw32_includedir}/spirv/
%{mingw32_datadir}/cmake/SPIRV-Headers/
%{mingw32_datadir}/pkgconfig/SPIRV-Headers.pc


%files -n mingw64-%{pkgname}
%{mingw64_includedir}/spirv/
%{mingw64_datadir}/cmake/SPIRV-Headers/
%{mingw64_datadir}/pkgconfig/SPIRV-Headers.pc




%changelog
* Wed Jul 20 2022 tv <tv> 1.5.5-1.mga9
+ Revision: 1869539
- imported package mingw-spirv-headers

